# -*- coding: utf-8 -*-


import logging

from idm.core.management.base import IdmBaseCommand
from idm.core.models import UserPassportLogin

log = logging.getLogger(__name__)


class Command(IdmBaseCommand):
    help = """Для всех устаревших passport-login снимает sid=67."""
    intranet_only = True

    def idm_handle(self, *args, **options):
        UserPassportLogin.objects.unsubscribe_logins()
